Bug 800512 - x-declare parameters in address string are worth to be listed/described
x-declare parameters in address string are worth to be listed/described
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
2.1
Unspecified Unspecified
low Severity low
: 2.2.3
: ---
Assigned To: Joshua Wulf
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 10:54 EST by Pavel Moravec
Modified: 2015-11-15 20:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 23:27:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Moravec 2012-03-06 10:54:27 EST
Description of problem:
Programming in Apache Qpid (or any other doc / wiki I search) has no word about particular parameters we can specify in x-declare map in address string. Only a note that "values correspond to the valid fields on an AMQP 0-10 queue-declare or exchange-declare command. ".

I think it is worth to put those params to Programming in Apache Qpid also, as a developer is not required to read AMQP specification to understand that these params are available:

auto-delete: boolean specifies auto-delete-ness of the queue/exchange
exclusive: boolean specifying exclusiveness of the queue/exchange
alternate-exchange: alternate exchange where messages shall be routed to when this queue is deleted / the exchange fails to find a matching bind for a message
arguments: a nested map with arguments available specifically for the queue / exchange (link to https://cwiki.apache.org/confluence/display/qpid/Qpid+extensions+to+AMQP is worth to provide)

A table similar to "Table 2.3. Link Properties" would be great to be created.

Logged as JIRA case QPID-3887.


Version-Release number of selected component (if applicable):
MRG 2.1


How reproducible:
n.a.


Steps to Reproduce:
n.a.
  
Actual results:
n.a.


Expected results:
n.a.


Additional info:
Comment 2 Frantisek Reznicek 2012-10-30 08:48:21 EDT
Requested information about x-declare parameters were added.

-> VERIFIED
Comment 3 Cheryn Tan 2012-11-18 23:27:30 EST
MRG Messaging 2.2.3 docs have been released as of 14 November 2012, the docs are now available on https://access.redhat.com/knowledge/docs/Red_Hat_Enterprise_MRG/

Note You need to log in before you can comment on or make changes to this bug.